## org.red5.server.api.stream
Interface IStreamCodecInfo

All Known Implementing Classes:
  StreamCodecInfo

    public interface IStreamCodecInfo

Stream codec information

Method Summary
`IAudioStreamCodec` `getAudioCodec()` Return audio codec
`String` `getAudioCodecName()` Getter for audio codec name
`IVideoStreamCodec` `getVideoCodec()` Return video codec
`String` `getVideoCodecName()` Getter for video codec name
`boolean` `hasAudio()` Has audio support?
`boolean` `hasVideo()` Has video support?

Method Detail

### hasAudio

    boolean hasAudio()

  Has audio support?

  Returns:
    `true` if stream codec has audio support, `false` otherwise

### hasVideo

    boolean hasVideo()

  Has video support?

  Returns:
    `true` if stream codec has video support, `false` otherwise

### getAudioCodecName

    String getAudioCodecName()

  Getter for audio codec name

  Returns:
    Audio codec name

### getVideoCodecName

    String getVideoCodecName()

  Getter for video codec name

  Returns:
    Video codec name

### getVideoCodec

    IVideoStreamCodec getVideoCodec()

  Return video codec

  Returns:
    Video codec used by stream codec

### getAudioCodec

    IAudioStreamCodec getAudioCodec()

  Return audio codec

  Returns:
    Audio codec used by stream codec

Copyright © 2006-2010 The Red5 Project